Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Preferably natively (Exchange mode), so that my calendar, etc, all sync up properly. It was working fine under our old version of Exchange (2007?), but broke with the upgrade to Exchange 2010. Done the usual remove the account, re-add, etc. Prefer not to drop down to IMAP mode for mail only.

share|improve this question
    
Note: I've also been unable to get IMAP to work between the latest Evolution and Exchange. Evolution IMAP works fine against other servers... –  Brian Knoblauch Jan 27 '10 at 20:12
add comment

9 Answers

up vote 3 down vote accepted

Linux

Yes, it should work. You can install it by the following command:

sudo apt-get install evolution-ews

or

sudo apt-get install evolution-mapi

And then execute evolution.

share|improve this answer
    
Thanks for the update. Looks like it should work now as it has specific connectors for 2007+. However, I'm unable to confirm as Evolution starts with a big white screen with 2 unmarked buttons and no text anywhere on my current system... :-) –  Brian Knoblauch Nov 27 '12 at 15:22
    
Execute evolution from the console and check for any errors which can point you to the problem. –  kenorb Nov 28 '12 at 8:31
    
Nothing that looks applicable to the problem. Throws a series of errors about failing to create config files for my user, but nothing involving display/fonts, etc. –  Brian Knoblauch Nov 28 '12 at 12:53
    
Heh. Interestingly enough if I do X over SSH from another machine it works fine. Throws all the same errors both ways, but just doesn't work locally. Go figure. :-) Oh, and it talks to the server just fine now, guess it got an update at some point. –  Brian Knoblauch Nov 28 '12 at 13:40
    
"Official" Gnome documentation recommends evolution-ews over evolution-mapi. –  ulidtko Mar 13 at 12:53
add comment

Heres some more information that might be helpful,

Connecting Evolution Mail Client to Exchange 2010

Pete


share|improve this answer
add comment

I was looking into this as well late last year and some google searches turned up that Evolution/Exchange 2010 compatibility came up in the Evolution developer discussion, available online at:

http://projects.gnome.org/evolution/meeting-logs/2010-10-20.shtml

The fact that it was being talked about gave me hope there might be a solution soon. However, there have been two developer discussion meetings since then and neither have mentioned Exchange at all. So this doesn't seem to be going anywhere fast anytime soon.

share|improve this answer
add comment

As far as I know (and I am battling with the very same issue), this doesn't work. After configuring the connector, and entering the password, a message pops up saying that the server runs version 5.5 of MS Exchange and the connector is not compatible. You don't get any further errors, and you can download the list of folders, but you can't open any of them. This is the state of play as I experience with Evolution 2.22.

share|improve this answer
    
Well, thanks for the confirmation. I guess it's not just me. :-( –  Brian Knoblauch Feb 11 '10 at 14:01
    
exchange 2010 works perfectly for me with MAPI. –  lunixbochs Aug 31 '11 at 17:36
add comment

I am having a similar issue.

I have two computers at home and installed on both of them Ubuntu 10.04. But in one (laptop) I just upgraded through the Update Manager from 9.10, while on the other (desktop) I did a full reinstall with a CD (and forgot to backup the Evolution data).

Well, the results have been different on both, regarding Evolution. In the laptop, I can still see and download emails from my job's Exchange Server. While on the desktop, Evolution seems to connect and see the server, but nothing is downloaded. I even removed the account a couple of times, to see if I had mis-configured it.

My next step is to backup the Evolution data and setup from the laptop and copy it to the desktop. I will let you know the outcome.

Hopefully, this piece of information might help you.

Update (5/26/2010)

Just tried it and worked! I backed up my Exchange account from my laptop, and restored it into my desktop Evolution program. Then I pressed "Send/Receive" and new emails where downloaded.

share|improve this answer
add comment

When my Company mail server upgraded from Microsoft Windows Exchange Server 2003 to Microsoft Windows Exchange Server 2007 my Evolution mail client stopped receiving mail (in Ubuntu).

I got the network administrator to allow access to the server via IMAP. Evolution had no problem connecting via IMAP.

share|improve this answer
add comment

2007 can be connected with Exchange MAPI (i did not test) 2010?

share|improve this answer
    
Not the most verbose answer, but is correct as that is what PeteLong's link explains. –  atomicules Aug 4 '11 at 13:13
add comment

you also need to add python-samba in Ubuntu 13.04

sudo apt-get install python-samba

Obviously, for those using debian based apt-get. Given that Kenorb's answer was accepted by Brian one is led to assume that apt is the package manager.

share|improve this answer
    
Well, perhaps it's required, but no... First off, my distro doesn't use apt... Secondly, yast auto resolves dependencies so there's no need to go manually installing extra libraries. –  Brian Knoblauch Aug 5 '13 at 11:37
    
@BrianKnoblauch This comment for future reference of anyone encountering this question only: Apt also auto-resolves dependencies, but there was a bug whereby Ubuntu's evolution-ews wasn't marked as having a dependency on python-samba but did have such a dependency in actuality. I believe it's now been resolved. –  Darael Mar 30 at 10:16
add comment

Evolution Preferences

Note: In Account editor change the option Encryption Method "Security", select the option "SSL on dedicated port".

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.